Bug 468155 - Review Request: robodoc - Extract documentation from source code
Review Request: robodoc - Extract documentation from source code
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 05:36 EDT by Patrick Monnerat
Modified: 2008-12-06 23:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:24:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2008-10-23 05:36:13 EDT
Spec URL: http://monnerat.fedorapeople.org/robodoc.spec
SRPM URL: http://monnerat.fedorapeople.org/robodoc-4.99.36-1.fc8.src.rpm
Description:
  ROBODoc is a documentation tool (based on the AutoDocs program written
a long time ago by Commodore). It extracts specially formated comment
headers from the source file and puts them in a separate file. ROBODoc
thus allows you to include the program documentation in the source
code and avoid having to maintain two separate documents.
  ROBODoc can format the documentation in HTML, ASCII, AmigaGuide,
LaTeX, or RTF format. It is even possible to include parts of the
source code with function names that point their the documentation. It
also can create index tables for all your variables, classes,
functions, etc.
  The best feature of ROBODoc is that it works with many languages:
Assembler, C, Perl, LISP, Occam, Tcl/Tk, Pascal, Fortran, shell
scripts, and COBOL, basically any language that supports
comments/remarks.

rpmlint is silent.
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=897383
Comment 1 Lucian Langa 2008-12-02 01:36:02 EST
Review:

OK  source files match upstream:
        b1a0e0dda99bb26623682e62f0e59051  robodoc-4.99.36.tar.bz2
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is present.
OK  build root is OK.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  BuildRequires are proper.
OK  compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
OK  final provides and requires are sane:
        robodoc = 4.99.36-1.fc10
        robodoc(x86-64) = 4.99.36-1.fc10
  =
        libc.so.6()(64bit)
OK  %check is not present; no test suite upstream. I was able to run program from the command line and generate a doc file.  
OK  no shared libraries are added to the regular linker search paths.
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.


Suggestion:
Please consider preserving the timestamp of the modified file (ChangeLog).
A simple call to 'touch -r' will do.

APPROVED.
Comment 2 Patrick Monnerat 2008-12-02 11:02:25 EST
Many thanks for the review, Lucian. Will apply your suggestion.
Comment 3 Patrick Monnerat 2008-12-02 11:06:24 EST
New Package CVS Request
=======================
Package Name: robodoc
Short Description: Extract documentation from source code
Owners: monnerat
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2008-12-03 19:43:29 EST
Consider also using the standard sourceforge url in Source:
http://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

cvs done.
Comment 5 Fedora Update System 2008-12-04 06:06:31 EST
robodoc-4.99.36-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/robodoc-4.99.36-2.fc10
Comment 6 Fedora Update System 2008-12-04 06:07:58 EST
robodoc-4.99.36-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/robodoc-4.99.36-2.fc9
Comment 7 Patrick Monnerat 2008-12-04 06:18:05 EST
Thanks for CVS Kevin.
Source URL was a typo :-( Applied your suggestion. Thanks.
Comment 8 Fedora Update System 2008-12-06 23:24:03 EST
robodoc-4.99.36-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-06 23:28:30 EST
robodoc-4.99.36-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.